Name:          primitive
Version:       1.3
Release:       2%{?dist}
Summary:       Utility methods for Java's primitive types
# DualPivotQuicksorts.java.ft is also Copyright 2009, 2015, Oracle and/or its 
# affiliates.
# TimSorts.java.ft is also Copyright 2009, 2013, Oracle and/or its affiliates,
# and Copyright 2009 Google Inc.
# GNU General Public License v2.0 or later, with Classpath exception
License:       GPLv2 with exceptions
URL:           https://github.com/mintern-java/%{name}/
Source0:       https://github.com/mintern-java/%{name}/archive/%{version}.tar.gz
# https://bugzilla.redhat.com/show_bug.cgi?id=1212672
Source1:       fmpp.sh

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
# BuildRequires: mvn(com.googlecode.fmpp-maven-plugin:fmpp-maven-plugin)
BuildRequires: mvn(net.sourceforge.fmpp:fmpp)

BuildArch:     noarch

%description
Primitive provides utility methods for functionality related to
primitive types. Currently, the only functionality is the
ability to sort primitive arrays using custom comparators.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -qn %{name}-%{version}

%pom_remove_plugin com.googlecode.fmpp-maven-plugin:fmpp-maven-plugin

%mvn_file :%{name} %{name}

%build
# Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=13658423
mkdir src/main/java
sh %{SOURCE1} -C src/main/fmpp/Primitive.fmpp -S src/main/fmpp/templates -O src/main/java
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG.md README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Oct 03 2016 Tomas Repik <trepik@redhat.com> - 1.3-1
- version update

* Wed Apr 27 2016 Tomas Repik <trepik@redhat.com> - 1.2.2-2
- new patch for license headers

* Thu Apr 14 2016 gil cattaneo <puntogil@libero.it> 1.2.2-1
- initial rpm
